
* THREE.CMD

store f to mdoit
store " " to mchoice
do while .not. mdoit
    @ 17,10 say "Are you sure you want to continue <Y/N>? ";
        get mchoice
    read
    if !(mchoice) = "Y"
        store t to mdoit
    endif
    if !(mchoice) = "N"
        store t to mdoit
        return
    else
        loop
    endif
enddo

store f to mdoit
do while .not. mdoit
    store "        " to mclass
    @ 20,10 say "Type the new class name ---> " get mclass;
        pict "!!!!!!!!"
    read
    store trim(mclass)+".DBF" to class
    if file(class)
        @ 22,10 say trim(mclass) + " exists.  Choose another name."
        store 1 to mcnt
        do while mcnt <= 40
            store 1 + mcnt to mcnt
        enddo
        @ 22,10 say "                                "
        loop
    else
        use MASTER
        copy structure to &class
        use &FILE
        store t to mdoit
    endif
enddo

erase
@ 12,30 say "Working!!!  Please do not TOUCH!!!"
copy field NAME,ENTER,GRADE,GRADE1 to temp
store f to mdoit
use &class
append from temp
goto top
store "  " to mgrade
do while .not. eof
    store GRADE to mgrade
    replace GRADE2 with mgrade
    replace GRADE with "  "
    replace TOTAL with 999.00
    store 1 to mcnt
    do while mcnt <6
        store "TEST0" + str(mcnt,1) to mfld
        replace &mfld with 999.00
        store 1 + mcnt to mcnt
    enddo
    store 1 to mcnt
    do while mcnt <6
        store "PROJ0" + str(mcnt,1) to mfld
        replace &mfld with 999.00
        store 1 + mcnt to mcnt
    enddo
    store 1 to mcnt
    do while mcnt <16
        if mcnt <10
            store "ASN0" + str(mcnt,1) to mfld
        else
            store "ASN"  + str(mcnt,2) to mfld
        endif
        replace &mfld with 999.00
        store 1 + mcnt to mcnt
    enddo
skip
enddo
use &FILE
return

while .not. mdoit
    store "        " to mclass
    @ 20,10 say "Type the new class name ---> " get mclass;
        pict "!!!!!!!!"
    read
